package de.fhw.swtvertiefung.knauf.kuchenzutatnm;
import javax.ejb.CreateException;
/**
 * Local Home interface for Enterprise Bean: ZutatNM
 */
public interface ZutatNMLocalHome extends javax.ejb.EJBLocalHome {

  /**
   * Finds an instance using a key for Entity Bean: ZutatNM
   */
  public de.fhw.swtvertiefung.knauf.kuchenzutatnm.ZutatNMLocal findByPrimaryKey(java.lang.Integer primaryKey)
    throws javax.ejb.FinderException;
	public java.util.Collection findAll() throws javax.ejb.FinderException;
  /**Erzeugen eines Zutat-Objekts, Name und Menge sind noch nicht gegeben. Der Primary Key wird in der Methode
   * erzeugt.
   * @return Die ID
   * @exception CreateException Fehler beim Erzeugen.
   */
  public de.fhw.swtvertiefung.knauf.kuchenzutatnm.ZutatNMLocal create() throws CreateException;
  //////////////////////////////////////////////////////////////////////////////////
  //                          Weitere Methoden                                    //
  //////////////////////////////////////////////////////////////////////////////////

  /**Erzeugen eines Zutat-Objekts, wobei der Name angegeben wird. Der Key wird in der Methode
   * erzeugt.
   * @param str_Name Der Name der Zutat
   * @return Immer NULL.
   * @exception CreateException Fehler beim Erzeugen.
   */
  public de.fhw.swtvertiefung.knauf.kuchenzutatnm.ZutatNMLocal createByName(String str_Name) throws CreateException;
  /**Von auen verwendbare Methode aus dem Home-Interface: Ermitteln der nchsten verfgbaren
   * Zutat-ID.
   * @return Die neue Zutat-ID, 1 grer als die maximal vorhandene ID. WEnn es keine gibt,
   * wird "1" zurckgeliefert.
   */
  public java.lang.Integer getNextId();
}
