<%@ page import="javax.naming.InitialContext"%>
<%@ page import="de.fhw.swtvertiefung.knauf.kuchenzutatnm.*"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.util.Iterator"%>
<HTML>
<HEAD>
<TITLE>
Zutat bearbeiten
</TITLE>
</HEAD>
<BODY>
<H1>Zutat bearbeiten</H1>
<%
//Holen des Home-Interfaces:
InitialContext initialContext = new InitialContext();
Object homeref = initialContext.lookup ("java:comp/env/ejb/KuchenNM");

KuchenNMLocalHome kuchenHome = (KuchenNMLocalHome) homeref;
homeref = initialContext.lookup ("java:comp/env/ejb/ZutatNM");
ZutatNMLocalHome zutatHome = (ZutatNMLocalHome) homeref;

//Je nach Request unterschiedliche Aktionen.
String strSubmitType = request.getParameter("submit");
if ("Neu".equals (strSubmitType) == true)
{
  //Neue Zutat erzeugen:
%>
<FORM method="post">
Zutat-Bezeichnung: <input type="text" name="name"> <br>
<INPUT TYPE="SUBMIT" NAME="submit" VALUE="NeuOK">
</FORM>
<%
}
else if ("NeuOK".equals (strSubmitType) == true)
{
  //Nach dem "Neu"-Formular: Zutat erzeugen.
  ZutatNMLocal zutatNeu = zutatHome.createByName( request.getParameter("name") );

  //Request weiterleiten an bersichtsseite:
  request.getRequestDispatcher ("index.jsp").forward(request, response);
}
else if ("Bearbeiten".equals(strSubmitType) == true)
{
  //Zutat bearbeiten: Die Zutat holen (ID steckt im Request !) und den Namen im Textfeld vorgeben.
  //Die ID allerdings in Integer umwandeln, denn der Request sendet einen String !
  String strID =  request.getParameter("zutatid");
  ZutatNMLocal zutatBearbeiten = zutatHome.findByPrimaryKey( Integer.valueOf(strID) );
%>
<FORM method="post">
Zutat-Bezeichnung: <input type="text" name="name" value="<%=zutatBearbeiten.getZutatName()%>"> <br>
Kuchen mit dieser Zutat: <br>
<ul> <%
  //Liste der Kuchen aufbauen:
  ArrayList listKuchen = zutatBearbeiten.getKuchenListe();
  Iterator iteratorKuchen = listKuchen.iterator();
  while (iteratorKuchen.hasNext() == true)
  {
    KuchenNMLocal kuchen = (KuchenNMLocal) iteratorKuchen.next();
%>  <li><%=kuchen.getName()%></li>
<%
  }
%></ul><br> <br>
<INPUT TYPE="SUBMIT" NAME="submit" VALUE="BearbeitenOK"> <br>
<!--Die Zutat-ID als Hidden Field mitfhren -->
<input type="hidden" name="zutatid" value="<%=zutatBearbeiten.getPrimaryKey()%>">
</FORM>
<%
}
else if ("BearbeitenOK".equals(strSubmitType) == true)
{
  //Im Bearbeiten-Formular auf "OK" geklickt: Zutat updaten.
  //Die Zutat holen (ID steckt im Request !) und den Namen im Textfeld vorgeben.
  //Die ID allerdings in Integer umwandeln, denn der Request sendet einen String !
  String strID = request.getParameter("zutatid");
  ZutatNMLocal zutatBearbeiten = zutatHome.findByPrimaryKey( Integer.valueOf(strID) );

  zutatBearbeiten.setZutatName( request.getParameter("name") );

  //Request weiterleiten an bersichtsseite:
  request.getRequestDispatcher ("index.jsp").forward(request, response);
}
else if ("Loeschen".equals(strSubmitType) == true)
{
  //Zutat lschen:
  //Die ID in Integer umwandeln, denn der Request sendet einen String !
  String strID = request.getParameter("zutatid");
  ZutatNMLocal zutatBearbeiten = zutatHome.findByPrimaryKey( Integer.valueOf(strID) );
  zutatBearbeiten.remove();

  //Request weiterleiten an bersichtsseite:
  request.getRequestDispatcher ("index.jsp").forward(request, response);
}
%>
</BODY>
</HTML>
