<%@ page import="javax.naming.InitialContext"%>
<%@ page import="de.fhw.swtvertiefung.knauf.kuchenzutatnm.*"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.util.Iterator"%>
<%@ page import="java.util.Collection"%>
<HTML>
<HEAD>
<TITLE>
Zutaten-Liste eines Kuchens bearbeiten
</TITLE>
</HEAD>
<BODY>
<H1>Zutaten-Liste eines Kuchens bearbeiten </H1>

<%
//Holen des Home-Interfaces:
InitialContext initialContext = new InitialContext();
Object homeref = initialContext.lookup ("java:comp/env/ejb/KuchenNM");
KuchenNMLocalHome kuchenHome = (KuchenNMLocalHome) homeref;

homeref = initialContext.lookup ("java:comp/env/ejb/ZutatNM");
ZutatNMLocalHome zutatHome = (ZutatNMLocalHome) homeref;

//Es wird auf jeden Fall ein Kuchen bearbeitet.
String strID =  request.getParameter("kuchenid");
KuchenNMLocal kuchenBearbeiten = kuchenHome.findByPrimaryKey( Integer.valueOf(strID) );

//Jetzt prfen ob wir das Formular aufbauen wollen oder auf "Submit" geklickt wurde:
if ("BearbeitenZutaten".equals (request.getParameter("submit") ) == true)
{
%>
Sie bearbeiten gerade die Zutatenliste des Kuchens <b><%=kuchenBearbeiten.getName()%></b>. <br>
<br>
<FORM method="post" action="KuchenZutaten.jsp">
  Aktuelle Zutaten (Haken entfernen zum Entfernen aus Kuchen): <br>
  <%
  //Liste der Zutaten aufbauen, jeweils als Checkboxen fr "Zugeordnet"/"Nicht zugeordnet":
  //Zuerst einmal die zugeordneten ausgeben:
  ArrayList listZutatenKuchen = kuchenBearbeiten.getZutatenListe();
  Iterator iteratorZutatenKuchen = listZutatenKuchen.iterator();
  while (iteratorZutatenKuchen.hasNext() == true)
  {
    ZutatNMLocal zutat = (ZutatNMLocal) iteratorZutatenKuchen.next();
%>    <input type="checkbox" name="zutat" value="<%=zutat.getPrimaryKey()%>" checked="checked"><%=zutat.getZutatName()%><br>
<%
  }
%>
  <br>
  <br>
  Sonstige verfgbare Zutaten (Haken setzen zum Zufgen zum Kuchen): <br>
  <%
  //Liste der Zutaten aufbauen, jeweils als Checkboxen fr "Zugeordnet"/"Nicht zugeordnet":
  //Zuerst einmal die zugeordneten ausgeben:
  Collection listZutatenAlle = zutatHome.findAll();
  Iterator iteratorZutatenAlle = listZutatenAlle.iterator();
  while (iteratorZutatenAlle.hasNext() == true)
  {
  	//Nur zufgen wenn nicht bereits zugeordnet !
  	ZutatNMLocal zutat = (ZutatNMLocal) iteratorZutatenAlle.next();
  	if (listZutatenKuchen.contains(zutat) == false)
    {
%>    <input type="checkbox" name="zutat" value="<%=zutat.getPrimaryKey()%>"><%=zutat.getZutatName()%><br>
<%  }
  }
%>
<br> <br>
<INPUT TYPE="submit" NAME="submit" VALUE="bernehmen">
<!--Die Kuchen-ID als Hidden Field mitfhren -->
<input type="hidden" name="kuchenid" value="<%=kuchenBearbeiten.getPrimaryKey()%>">
</FORM>
<%
}
else
{
  //Auf "bernehmen" wurde geklickt: also prfen welche Zutaten dem Kuchen gehren sollen.
  //Wir brauchen auch die Liste der aktuellen Zutaten: 
  ArrayList listZutatenKuchen = kuchenBearbeiten.getZutatenListe();
  //Der Request schickt viele IDs unter dem Parameter "zutat" (da mehrere Checkboxen)
  String[] sZutaten = request.getParameterValues("zutat");
  for (int indexZutat = 0; indexZutat < sZutaten.length; indexZutat++)
  {
  	//Zutat zur ID holen:
  	Integer intZutatID = Integer.valueOf(sZutaten[indexZutat] );
  	ZutatNMLocal zutat = zutatHome.findByPrimaryKey(intZutatID);
  	//Ist die schon in der Liste ?
  	if (listZutatenKuchen.contains(zutat) == false)
  	{
  	  //Zutat zufgen (dadurch wird die oben geholte Liste der Zutaten zwar ungltig, macht aber nix).
  	  kuchenBearbeiten.addZutat(zutat);
  	}
  }
  
  //Jetzt in einer zweiten Schleife ber die aktuellen Zutaten laufen und die 
  //entfernen deren ID nicht im Request steckt.
  for (int indexZutat = 0; indexZutat < listZutatenKuchen.size(); indexZutat++)
  {
    ZutatNMLocal zutat = (ZutatNMLocal) listZutatenKuchen.get(indexZutat);
  	//Ist die ID im Request-Parameter enthalten ?
  	boolean bInRequest = false;
  	for (int indexRequest = 0; indexRequest < sZutaten.length && bInRequest == false; indexRequest++)
  	{
  	  if (zutat.getPrimaryKey().toString().equals( sZutaten[indexRequest]) == true)
  	  	bInRequest = true;
  	}
  	//Wurde etwas gefunden ?
  	if (bInRequest == false)
  	{
  	  //Weg damit:
  	  kuchenBearbeiten.removeZutat (zutat);
  	}
  }
  
  //Request weiterleiten an bersichtsseite:
  request.getRequestDispatcher ("index.jsp").forward(request, response);
} %>
</BODY>
</HTML>
